Skip to main content
Back to API List This API undeploys a tool that’s deployed in an environment. The API response includes the tool ID, dock status ID and the tool undeployment status. After receiving the response, use the dockStatusId to call the Get Dock Status API and verify the status of the task.
MethodPOST
Endpointhttps://{host}/api/public/tools/:{toolId}/undeploy
Content Typeapplication/json
AuthorizationX-api-key - The API key used for authentication.
Where can I find the API key? To use the API, you will need an API key. Learn more.

Path Parameters

PARAMETERDESCRIPTIONTYPEREQUIRED/OPTIONAL
hostThe environment URL. For example, https://agent-platform.domain.ai/StringRequired
toolIdThe unique identifier of the tool being undeployed.StringRequired

Sample Request

curl --location --request POST 'https://{host}/api/public/tools/a-0xxxxxxxxxxxxxxxxxxe/undeploy' \
--header 'x-api-key: kg-axxxxxxx-5xx3-5xx8-bxxb-9xxxxxxxxxx-ebxxxxxxxxxxx3'

Body Parameters

No parameters are passed.

Sample Response

{
   "dockStatusId": "ds-exxxxxx7-2xx8-5xxc-axx7-cxx73xxxxxx1",
   "toolId": "a-4xxxxxx9-fxx9-5xx7-axx7-9xxfdxxxxxxb",
   "jobType": "TOOLS",
   "action": "UNDEPLOY",
   "status": "SUCCESS"
}

Response Parameters

PARAMETERDESCRIPTIONTYPE
dockStatusIdThe unique identifier for tracking the tool undeployment status.String
toolIdThe unique identifier of the tool being undeployed.String
jobTypeThe type of job being performed (TOOLS).String
actionThe action being performed (UNDEPLOY).String
statusThe undeployment status (SUCCESS, “IN_PROGRESS”, or FAILED).String